<?php
namespace Claromentis\Projects\Comments;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"] = (@$GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"] ?: array()) + array("_a71dc9333bd8ad95d55d6624b477" . "875f" => base64_decode("ZG" . "F0" . "YQ" . "=="), "_4c0160d68025e411" . "dfb181e4d510bd77" => base64_decode("cHJvamVjdHMucHJvamVjdF9yZXBseV9w" . "b3N0ZWQ="), "_6e38cb9e043a07cd69a171" . "1a6704c62a" => base64_decode("cGFy" . "ZW50" . "X2lk"), "_fa7526ba4ccc308fe611864" . "45986ceaa" => base64_decode("cmVjaXBpZW50c" . "w=="), "_439683f8" . "b30ea4e8e" . "54d8867c6" . "05e1d3" => base64_decode("cHJvamVjdHMucHJvamVjdF9kaXNjdXNzaW9uX3Bvc3R" . "lZA=="));
use Claromentis\Comments\Model\Comment;
use Claromentis\Projects\Notification;
use Claromentis\Projects\Service\NotificationService;
class ProjectCommentNotification
{
    private $_comment;
    private $_notification;
    public function __construct(Comment $_e8d840684607f6c2bbef523090642168, NotificationService $_88e3baed593bc10d4b7045181b4ac725)
    {
        $this->_comment = $_e8d840684607f6c2bbef523090642168;
        $_dadf790baf241afac942824c1e6e37c4 = NotificationService::PROJECT_DISCUSSION_POSTED;
        if ($_e8d840684607f6c2bbef523090642168->GetProperty($GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_6e38cb9e043" . "a07cd69a1711" . "a6704c62a"]) > 0) {
            $_dadf790baf241afac942824c1e6e37c4 = NotificationService::PROJECT_REPLY_POSTED;
        }
        $_99aaa03a11622e16e59bff0771ea8ef3 = new Notification($_dadf790baf241afac942824c1e6e37c4, $this->_comment);
        $this->_notification = $_88e3baed593bc10d4b7045181b4ac725->GetNotificationData($_99aaa03a11622e16e59bff0771ea8ef3);
    }
    public function GetTemplate()
    {
        if ($this->_comment->parent_id == 0) {
            return $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_439683f8b30e" . "a4e8e54d8867c" . "605e1d3"];
        }
        return $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_4c0160d68025e4" . "11dfb181e4d510b" . "d77"];
    }
    public function GetMessageParams()
    {
        return $this->_notification[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_a71dc9333bd8ad95d55" . "d6624b477875f"]];
    }
    public function GetRecipients()
    {
        return $this->_notification[$GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_fa7526ba4ccc308fe6118644" . "5986ceaa"]];
    }
    public function GetType()
    {
        return Notification::IM_TYPE_PROJECT;
    }
}